Subject: Re: [PATCH] Packet socket: mmapped IO: PACKET_TX_RING

From: Evgeniy Polyakov <[email-masked]>
Date: Tue, 11 Nov 2008 21:50:36 +0300

Hi.

On Tue, Nov 11, 2008 at 10:14:54AM -0800, Lovich, Vitali ([email-masked]) wrote:
> Right, we're saying the exact same thing I think.  I had wanted just a void * that is specific to PACKET_MMAP, so that no one else pays the price if they don't need to.  You instead want to make it a feature flag - that's fine I think, but we need to make a note of that in the Kconfig file (that enabling PACKET_MMAP increases all skbs by the size of a long).  I'd still rather prefer using the fragments instead though, because it seems like a reasonable solution that has 0 impact on any other code.

I think you should be almost 200% sure that skb is not allowed to grow up :)

-- 
	Evgeniy Polyakov